// Copyright 2016 Orus.io. All rights reserved.

package testutils

import (
	"time"
)

// TimeoutChan returns a chan that receive a book after a timeout
func TimeoutChan(duration time.Duration) chan bool {
	timeout := make(chan bool, 1)
	go func() {
		time.Sleep(duration)
		timeout <- true
	}()
	return timeout
}
