#!/bin/bash

VERSION=$(cd .. && ./fullversion.sh)

cat > constants.go <<EOF
package version

// Version is the xbus version
const Version = "$VERSION"

// BuildNumber is the drone build number
const BuildNumber = "$DRONE_BUILD_NUMBER"

// CommitHash is the full mercurial cset id
const CommitHash = "$(hg --debug id --id)"
EOF

